vmalloc_node
Prev | More Memory Management Functions | Next

## Name

vmalloc_node — allocate memory on a specific node

## Synopsis

`void * vmalloc_node (` | unsigned long | size,
| int | node`)`;

## Arguments

`size`

  allocation size

`node`

  numa node

## Description

Allocate enough pages to cover `size` from the page level allocator and map them into contiguous kernel virtual space.

For tight control over page level allocator and protection flags use `__vmalloc` instead.

Prev | Up | Next
vmalloc_user | Home | vmalloc_32